package db_model

import (
	"gorm.io/gorm"
)

type KVStorage struct {
	Id         int    `gorm:"primaryKey"`
	Uid        string `gorm:"type:varchar(255);uniqueIndex:uidx_uid_key;not null;column:uid;comment:用户id"`
	Key        string `gorm:"type:varchar(255);uniqueIndex:uidx_uid_key;not null;column:key;comment:键"`
	Value      string `gorm:"type:varchar(500);not null;column:value;comment:值"`
	Platform   string `gorm:"type:varchar(255);uniqueIndex:platform_id;not null;column:platform;comment:平台"`
	PlatformId string `gorm:"type:varchar(255);uniqueIndex:platform_id;not null;column:platform_id;comment:平台id"`
	gorm.Model
}
